#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 wai-extra
version:              3.1.6
visibility:           public
id:                   wai-extra-3.1.6-AulldU0IwaDJ4bdAGp7qm9
key:                  wai-extra-3.1.6-AulldU0IwaDJ4bdAGp7qm9
license:              MIT
maintainer:           michael@snoyman.com
author:               Michael Snoyman
stability:            Stable
homepage:             http://github.com/yesodweb/wai
synopsis:             Provides some basic WAI handlers and middleware.
description:
    Provides basic WAI handler and middleware functionality:

    * WAI Testing Framework

    Hspec testing facilities and helpers for WAI.

    * Event Source/Event Stream

    Send server events to the client. Compatible with the JavaScript
    EventSource API.

    * Accept Override

    Override the Accept header in a request. Special handling for the
    _accept query parameter (which is used throughout WAI override the
    Accept header).

    * Add Headers

    WAI Middleware for adding arbitrary headers to an HTTP request.

    * Clean Path

    Clean a request path to a canonical form.

    * GZip Compression

    Negotiate HTTP payload gzip compression.

    * HTTP Basic Authentication

    WAI Basic Authentication Middleware which uses Authorization header.

    * JSONP

    \"JSON with Padding\" middleware. Automatic wrapping of JSON
    responses to convert into JSONP.

    * Method Override / Post

    Allows overriding of the HTTP request method via the _method query string
    parameter.

    * Request Logging

    Request logging middleware for development and production environments

    * Request Rewrite

    Rewrite request path info based on a custom conversion rules.

    * Stream Files

    Convert ResponseFile type responses into ResponseStream type.

    * Virtual Host

    Redirect incoming requests to a new host based on custom rules.


    API docs and the README are available at <http://www.stackage.org/package/wai-extra>.

category:             Web
abi:                  fe7b97ee9fc06f79d115588c87277ca1
exposed:              True
exposed-modules:
    Network.Wai.EventSource Network.Wai.EventSource.EventStream
    Network.Wai.Handler.CGI Network.Wai.Handler.SCGI Network.Wai.Header
    Network.Wai.Middleware.AcceptOverride
    Network.Wai.Middleware.AddHeaders Network.Wai.Middleware.Approot
    Network.Wai.Middleware.Autohead Network.Wai.Middleware.CleanPath
    Network.Wai.Middleware.ForceDomain Network.Wai.Middleware.ForceSSL
    Network.Wai.Middleware.Gzip Network.Wai.Middleware.HttpAuth
    Network.Wai.Middleware.Jsonp Network.Wai.Middleware.Local
    Network.Wai.Middleware.MethodOverride
    Network.Wai.Middleware.MethodOverridePost
    Network.Wai.Middleware.RealIp Network.Wai.Middleware.RequestLogger
    Network.Wai.Middleware.RequestLogger.JSON
    Network.Wai.Middleware.RequestSizeLimit
    Network.Wai.Middleware.RequestSizeLimit.Internal
    Network.Wai.Middleware.Rewrite Network.Wai.Middleware.Routed
    Network.Wai.Middleware.StreamFile
    Network.Wai.Middleware.StripHeaders Network.Wai.Middleware.Timeout
    Network.Wai.Middleware.Vhost Network.Wai.Parse Network.Wai.Request
    Network.Wai.Test Network.Wai.Test.Internal Network.Wai.UrlMap

hidden-modules:       Network.Wai.Middleware.RequestLogger.Internal
import-dirs:          /usr/lib/ghc-8.10.3/site-local/wai-extra-3.1.6
library-dirs:         /usr/lib/ghc-8.10.3/site-local/wai-extra-3.1.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/wai-extra-3.1.6
hs-libraries:         HSwai-extra-3.1.6-AulldU0IwaDJ4bdAGp7qm9
depends:
    HUnit-1.6.1.0-CH8Zl2n4RgNBzk0oapQHww
    aeson-1.5.5.1-4GF5dOSAlvS8j16wiAKYmP
    ansi-terminal-0.11-JrIDCJyGSk48Fi60sEA6fd base-4.14.1.0
    base64-bytestring-1.2.0.1-17Li98kcjvN6HxioQKTeQN
    bytestring-0.10.12.0 call-stack-0.3.0-5Mj0U3oidh8Dm8auDPZCpq
    case-insensitive-1.2.1.0-GrOGgfuZakwLHmCP8igxh1 containers-0.6.2.1
    cookie-0.4.5-Cr058gEywdbK8YE1EhasZd
    data-default-class-0.1.2.0-56BXPST0gStFZdhRwxhsn8 directory-1.3.6.0
    fast-logger-3.0.2-vBJNKyEEIB1BCypUTIiX4
    http-types-0.12.3-BDqnqLK3W57Iqr2rBN3K2J
    http2-2.0.5-GZtNAQR1tMm2iYqxfiH0BJ
    iproute-1.7.10-JBgT8UBbobm4ZxO9R4SdFF
    network-3.1.2.1-2sDMhNHJEdsLKPij0bexqJ
    resourcet-1.2.4.2-CC4MPzVaA0R1Z8iZYJkFQ5
    streaming-commons-0.2.2.1-938fZlmr44gGmRrnowJ9yF text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2 unix-2.7.2.2
    vault-0.3.1.4-K6bioY0dSI55Tkr9ZcnPNm
    wai-3.2.3-3gHORCq6GidHPHo0n0vgYl
    wai-logger-2.3.6-IWOgvthhDdrIJsgKKpadB7
    word8-0.1.3-724fxDOkAtI9odHi3S4RPp

haddock-interfaces:   /usr/share/doc/haskell-wai-extra/html/wai-extra.haddock
haddock-html:         /usr/share/doc/haskell-wai-extra/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

